package entrustPool

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type PoolAddrWithdrawListRouter struct {
}

// InitPoolAddrWithdrawListRouter 初始化 PoolAddrWithdrawList 路由信息
func (s *PoolAddrWithdrawListRouter) InitPoolAddrWithdrawListRouter(Router *gin.RouterGroup) {
	poolAddrWithdrawListRouter := Router.Group("poolAddrWithdrawList").Use(middleware.OperationRecord())
	poolAddrWithdrawListRouterWithoutRecord := Router.Group("poolAddrWithdrawList")
	var poolAddrWithdrawListApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrWithdrawListApi
	{
		poolAddrWithdrawListRouter.POST("createPoolAddrWithdrawList", poolAddrWithdrawListApi.CreatePoolAddrWithdrawList)   // 新建PoolAddrWithdrawList
		poolAddrWithdrawListRouter.DELETE("deletePoolAddrWithdrawList", poolAddrWithdrawListApi.DeletePoolAddrWithdrawList) // 删除PoolAddrWithdrawList
		poolAddrWithdrawListRouter.DELETE("deletePoolAddrWithdrawListByIds", poolAddrWithdrawListApi.DeletePoolAddrWithdrawListByIds) // 批量删除PoolAddrWithdrawList
		poolAddrWithdrawListRouter.PUT("updatePoolAddrWithdrawList", poolAddrWithdrawListApi.UpdatePoolAddrWithdrawList)    // 更新PoolAddrWithdrawList
	}
	{
		poolAddrWithdrawListRouterWithoutRecord.GET("findPoolAddrWithdrawList", poolAddrWithdrawListApi.FindPoolAddrWithdrawList)        // 根据ID获取PoolAddrWithdrawList
		poolAddrWithdrawListRouterWithoutRecord.GET("getPoolAddrWithdrawListList", poolAddrWithdrawListApi.GetPoolAddrWithdrawListList)  // 获取PoolAddrWithdrawList列表
	}
}

// InitPoolAddrWithdrawListPubRouter 初始化 InitPoolAddrWithdrawListPubRouter 路由信息
func (s *PoolAddrWithdrawListRouter) InitPoolAddrWithdrawListPubRouter(Router *gin.RouterGroup) {
	poolAddrWithdrawListRouterWithoutRecord := Router.Group("poolAddrWithdrawListWeb")
	var poolAddrWithdrawListApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrWithdrawListApi

	{
		poolAddrWithdrawListRouterWithoutRecord.GET("getPoolAddrWithdrawListList", poolAddrWithdrawListApi.GetPoolAddrWithdrawListListWeb)  // 获取PoolAddrWithdrawList列表
	}
}